from setuptools import setup, find_packages
import os

version = '1.0.1'

requires = [
    "sqlalchemy",
    "zope.sqlalchemy",
    ]

tests_require = [
    "pytest",
    "coverage",
    "mock",
    ]

long_description = (
    open('README.txt').read()
    + '\n' +
    open('src/alchemy/recipe/test_models.txt').read()
    + '\n')

setup(name='alchemy.recipe',
      version=version,
      description="",
      long_description=long_description,
      # Get more strings from
      # http://pypi.python.org/pypi?%3Aaction=list_classifiers
      classifiers=[
        "Programming Language :: Python",
        ],
      keywords='',
      author='Atsushi Odagiri',
      author_email='aodag@beproud.jp',
      url='http://svn.plone.org/svn/collective/',
      license='gpl',
      packages=find_packages('src'),
      package_dir = {'': 'src'},
      namespace_packages=['alchemy'],
      include_package_data=True,
      zip_safe=False,
      install_requires=requires,
      tests_require=tests_require,
      extras_require={
        "testing": tests_require,
        },
      entry_points="""
      # -*- Entry points: -*-
      """,
      )
